summaryrefslogtreecommitdiffstats
path: root/bash
diff options
context:
space:
mode:
authorPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-18 15:33:06 +0100
committerPiotr Perzanowski <p.perzanowsk@samsung.com>2018-12-18 15:33:06 +0100
commitef08e8b11391c1759373cb86cfd8bc24b8f889b1 (patch)
tree45aeeac86d893519c17416163dbea11bd46c6e97 /bash
parent5cafbc8e87ee6d73012648f38928717adbc0f37e (diff)
Uploading pip handler.
Adding download-pip.sh for downloading proper components from list. Change-Id: Ic6473f63f035f26712077905dcf6c385fe9bc8f3 Issue-ID: OOM-1551 Signed-off-by: Piotr Perzanowski <p.perzanowsk@samsung.com>
Diffstat (limited to 'bash')
-rw-r--r--bash/tools/creating_data/download-pip.sh38
-rw-r--r--bash/tools/data_list/pip_list.txt14
2 files changed, 52 insertions, 0 deletions
diff --git a/bash/tools/creating_data/download-pip.sh b/bash/tools/creating_data/download-pip.sh
new file mode 100644
index 00000000..1121ffd5
--- /dev/null
+++ b/bash/tools/creating_data/download-pip.sh
@@ -0,0 +1,38 @@
+# COPYRIGHT NOTICE STARTS HERE
+#
+# Copyright 2018 © Samsung Electronics Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# COPYRIGHT NOTICE ENDS HERE
+LIST_FILE="$1"
+if [[ -z "$LIST_FILE" ]]; then
+ echo "Missing list file"
+ exit 1
+fi
+LIST_FILE=$(readlink -f "$LIST_FILE")
+outdir="$2"
+if [[ -z "$outdir" ]]; then
+ echo "Missing output directory"
+ exit 1
+fi
+lines=$(cat "$LIST_FILE" | wc -l)
+cnt=1
+# create output dir if not exists
+mkdir -p "$outdir"
+cd "$outdir"
+while read -r line; do
+ echo "Downloading $cnt / $lines: $line"
+ pip download $line
+ cnt=$((cnt+1))
+done < "$LIST_FILE"
diff --git a/bash/tools/data_list/pip_list.txt b/bash/tools/data_list/pip_list.txt
new file mode 100644
index 00000000..a4b09092
--- /dev/null
+++ b/bash/tools/data_list/pip_list.txt
@@ -0,0 +1,14 @@
+backports.functools_lru_cache
+certifi
+chardet
+cheroot
+CherryPy
+idna
+more_itertools
+portend
+PyMySQL
+pytz
+requests
+six
+tempora
+urllib3